"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const HTTPMethodEnum_1 = require("../Models/HTTPMethodEnum");
exports.getAPIGatewayResponse = (response) => {
    return {
        "statusCode": response.isSuccess ? 200 : 500,
        "headers": {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Methods": "GET, POST, PUT, DELETE",
            "Access-Control-Allow-Headers": "*",
            "Access-Control-Allow-Credentials": true
        },
        "body": JSON.stringify(response),
        "isBase64Encoded": false
    };
};
exports.getHTTPRequest = (event) => {
    var httpRequest = {
        httpMethod: event.httpMethod,
        path: event.path,
        requestId: event.requestId,
        queryString: event.queryStringParameters,
        pathParameters: event.pathParameters
    };
    const body = event.body;
    switch (event.httpMethod) {
        case HTTPMethodEnum_1.default.POST:
            httpRequest.body = JSON.parse(body);
            httpRequest.httpMethod = HTTPMethodEnum_1.default.POST;
            break;
        case HTTPMethodEnum_1.default.GET:
            httpRequest.httpMethod = HTTPMethodEnum_1.default.GET;
            break;
        case HTTPMethodEnum_1.default.DELETE:
            httpRequest.httpMethod = HTTPMethodEnum_1.default.DELETE;
            break;
    }
    return httpRequest;
};
//# sourceMappingURL=AWSAdapter.js.map